---
id: minecraft-server-installieren
title: Minecraft Server installieren (v.1.17)
sidebar_label: Minecraft-Server
---
Hier wird beschrieben, wie du auf deinem Linux vServer/RootServer/Dedicated einen einfachen Minecraft Java Server installierst.

## Informationen
Minecraft, ist ein beliebtes Open World Spiel, in dem sich alles um Blöcke, Blöcke und noch mehr Blöcke dreht

### 🐧 Installation Server

Melde dich zuerst per SSH als root User auf deinem Server an.

1. Aktualisieren der Server Paketquellen

   ```sh
   $ sudo apt update && apt upgrade
   ```
   
2. Java (8) installation.

   ```sh
   $ sudo apt install openjdk-8-jre-headless
   ```
   
3. Screen (Sitzungs Manager)
    
   ```sh
   $ sudo apt install screen
   ```

4. Firewall (UFW) konfiguration.
   
   ```sh
   $ sudo ufw allow 25565
   ```

   5. Download der gewünschten Minecraft Version, im Beispiel: 1.17
   
   ```sh
   $ wget https://launcher.mojang.com/v1/objects/0a269b5f2c5b93b1712d0f5dc43b6182b9ab254e/server.jar
    ```
   
Hinweis: Nutze entweder "wget" zum download der .jar Datei oder lade sie via SFTP/FTP Client auf deinen Server hoch.

6. Bildschirmsitzung via Screen starten, damit der Server auch nach schließen des SSH-Terminals weiter läuft.
   
   ```sh
   $ screen
   ```
   Der Screen Informations-Text kann nach lesen/nicht lesen mit SPACE (Leertaste) geschlossen werden.

Der folgende Befehl startet den Minecraft Server nun mit 1024Mb Ram.

7. Der folgende Befehl startet den Minecraft Server nun mit 1024Mb Ram.
   
   ```sh
   $ 4. java -Xms1024M -Xmx1024M -jar server.jar nogui
   ```


Nachdem ersten start des Server müssen die EULA Richtlinien von Mojang akzeptiert werden.

8. Minecraft EULA Datei via nano (Texteditor) öffnen und bearbeiten.
   
   ```sh
   $ nano eula.txt
   ```
In der Datei wird das Feld zu eula=true bearbeitet.

9. Führe den folgenden Befehl aus um den Server nun zu starten.
   
   ```sh
   $ 4. java -Xms1024M -Xmx1024M -jar server.jar nogui
   ```

Damit der Server nun auch nach schließen des SSH-Terminals weiterläuft, verlasse den Screen mit STRG + A + D

Um den Screen und somit die Minecraft Konsole nach schließen erneut zu öffnen nutze:

```sh
   $ screen -r
 ```
 
bzw. screen -l und dann screen-r mit der jeweiligen ID.


### 💻 Minecraft Client

Starte nun deinen Minecraft Client und wähle Mehrspieler, in diesem einfach auf "Server hinzufügen". Dort wird nun die IPV4:25565 eingetragen, nun kann das Entdecken der unendlichen Block-Welt beginnen. 

Die Installation ist nun abgeschlossen ✔


Hinweis: Solltest du unseren KVM-Flex nutzen, muss eine zusätzliche IPv4 Adresse hinzugebucht werden da sonst ohne weiteres keine Verbindung zum Minecraft Server aufgebaut werden kann.

Bei Fragen oder Problemen bei der Installation, melde dich bitte in unserem LiveChat via Ticket-System oder auf unserem Discord. 