---
id: addCancallationRequest
title:  API - AddCancallationRequest
sidebar_label: AddCancallationRequest
---

Fügt dem Service eine Kündigung hinzu und beendet diesen am Ende der Laufzeit. 

## Beispiel Aufruf

### **POST** Request

Header: ``Content-Type: multipart/form-data``  
Body: 
```json
{
    "username": "<USERNAME>",
    "password": "<PASSWORD>",
    "resellerhash": "<HASH>",
    "action": "dshreseller",
    "uaction": "AddCancallationRequest",
    "pid": 12345,
    "creason": "Cancallation Reason",
    "responsetype": "json"
}
```

## Beispiel Result

```json
{
    "result": "success", 
    "message": "Cancallaction request added", 
}
```

## Mögliche Fehlermeldungen


| Fehlermeldung | Mögliche Ursache |
|---------------|------------------|
|function nof found!| Dieser Fehler tritt auf wenn ``action`` oder ``uaction`` nicht gesetzt sind, oder die Funktion welche hierrüber definiert worden ist, nicht gefunden wird.
|Request could not be verified. AccessHash wrong or ServiceID/IP not found. | Dieser Fehler tritt auf wenn der Hash falsch ist, oder die Service ID oder IP nicht gefunden wurde.
|Cancallaction request could not be added| Dieser Fehler tritt auf wenn das backend nicht reagiert.


