---
id: reseller-api
title:  DeinServerHost Reseller API - Informationen & Authentifizierung
sidebar_label: Informationen & Authorization 
---


###  Einleitung

### **Wie erhalte ich Zugriff auf die API?**

Der Zugriff auf die API ist beschränkt. Die API ist nur für gelistete IP Adressen möglich. Somit ist es notwendig das wir die IP welche auf die API zugreifen soll, whitelisten. 

Erst danach ist der Zugriff auf die Reseller API uneingeschränkt möglich. 

Möchtest du die Reseller API verwenden, melde dich per [Ticket bei uns](https://deinserverhost.de/store/submitticket.php).


### **Authorization**

Zur Verfizierung eines API Aufrufs wird ein Username, ein Passwort und ein Hash benötigt. 
Diese wurden bei der Freischaltung der API ausgehändigt und müssen bei jeden Aufruf mitgesendet werden. 

Beispiel

```bash
curl --location --request POST 'https://deinserverhost.de/store/includes/api.php' \
--header 'Content-Type: multipart/form-data' \
--form 'username="<USERNAME>"' \
--form 'password="<PASSWORD>"' \
--form 'resellerhash="<HASH>"' \
--form 'action="dshreseller"' \
--form 'uaction="Dedicated_startServer"' \
--form 'pid="12345"' \
--form 'responsetype="json"' \
```

Dieser aufruf wurde den Server mit der ID: 12345 starten. 
Hier zu beachten ist das Username, Password und Reseller Hash immer angegeben wird. 

Mit der ``action`` wird bestimmt welchen Bereich wir ansprechen möchten. In unserem Fall wird es immer ``dshreseller`` sein. ``uaction`` bestimmt welche Funktion aufgerufen werden soll. Da der Server mit der ID 12345 ein Dedicated Server ist rufen wir natürlich die ``Dedicated_startServer`` Funktion auf. 
Mit ``responsetype`` bestimmen wir den Rückgabewert. Dieser sollte ebenfalls immer ``json`` sein. Die Rückgabe ist ohnehin immer JSON.

Eine Beispiel Rückgabe sieht wiefolgt aus:

```json
{
    "result": "success", 
    "message": "server is powering on", 
    "status": "" //This object can be a Array, an object, a string or a number
}
```
Einige Funktionen senden das Ergebnis der Funktion, eine Nachricht und eine detailierte Antwort. Dies hat den Vorteil das man allein mit dem Ergebnis weiterarbeiten kann. Jedoch im Fehlerfall genaue Informationen hat. 
