---
id: deinserverhost-whmcs-modul
title:  DSHReseller Module
sidebar_label: WHMCS Modul
---

## DSHReseller 

Das DSHReseller Module ist das erste seiner Art. Dieses Module richtet sich an unsere Dedicated Server sowie die Storage und Windows Server. Dieses Module erlaubt es den Kunden der Reseller die Server zu Steuern. Desweiteren kann damit die DDoS Protection gesteuert und ein rDNS für die IP-Adressen gesetzt werden. 

Die Aktuelle Version beinhaltet folgende Features

**Client Features**
- Starten des Servers
- Stoppen des Servers ( Kann durch einen Admin verweigert werden )
- Reset des Servers ( Vergleichbar mit einem Stromausfall )
- Neuinstallieren des Servers 
- Starten des Linux Live Rescue Systems
- Abrufen des Installationsstatuses
- Neuinstallation abbrechen
- Abrufen der DDoS Filter Einstellungen
- Ändern der Layer 4 und Layer 7 Filter. 
- Setzen eines rDNS Records für die selektierte IPv4-Adresse

**Admin Features**
- Start/Stop/Reset des Servers
- Status des Servers abrufen
- Neuinstallieren mit selektierten Template
- Neuinstallation Abbrechen
- Starten des Linux Live Rescue Systems
- Entscheide was mit dem Service passiert bei Terminate/Suspend/Unsuspend
- Kunden das Runterfahren des Servers verweigern 
- Ändern der DDoS Filter einer IP Adresse
- Einsehen der letzten 25 Angriffe auf die IP
- Suche nach Services über IP oder die ID

Selbstverständlich kann das Design des Kundenbereichs angepasst werden. Dazu liegt ein Template bei welches verändert werden darf. 
Das Template ist im Verzeichnis /templates/client/home.tpl beinhaltet alle Funktionen. Dies kann als Grundlage für ein eigenes Design genutzt werden. 
Wir raten dazu, ein Backup des Templates anzufertigen bevor man Änderungen vornimmt. 
Desweiteren muss beachtet werden das in der Aktuellen Version kein Template Manager vorhanden ist mit dem das Design gewechselt werden kann. Das bedeutet das hier bei einem Update darauf geachtet werden muss das man sein eigenes Template nicht überschreibt und damit wieder zurück zum Standard Design wechselt. 

### Screenshots

**Client**  
![DSHReseller - Client Dedicated](../../static/img/reseller/DSHReseller_client.png)
![DSHReseller - Client Overview](../../static/img/reseller/client_ddos.png)
![DSHReseller - Client DDoS](../../static/img/reseller/client_overview.png)

**Admin**  
![DSHReseller - Admin Manage dedicated](../../static/img/reseller/DSHReseller_admin.png)
![DSHReseller - Admin DDOS](../../static/img/reseller/admin_ddos.png)
![DSHReseller - Admin ServiceInfo](../../static/img/reseller/admin_serviceinfo.png)



# Changelog

|Version  | Beschreibung  | Datum | Download |
|------  | ------     | ------  | ---- |
**0.8**     |  **Released** (``Getestet in WHMCS 8.2.x & 8.4``) | **10.02.2022** | **[Download v0.8](https://rose.dsh-mirror.de/reseller/whmcs-module/0.8/dshreseller_v0.8.0.zip)**
|-| Renamed the Module from ``dshreseller`` to ``manageservers`` to become more whitelabled
|**⚠️**|**Please delete the ``/modules/servers/dshreseller`` to avoid errors before you upload the new version. Please check also your "Servers" and Products that they have assigned the correct module.**|⚠️|⚠️|
|-|Added full language support - https://git.dsh.gg/Conan_Doyl/DSHReseller-Languagefiles |
|-|Import the old Data from the dshreseller Module|
|-|Permission Manager has been improved, permissions now correct implemented|
|-|Template Manager updated - Fully customizable Admin/Client Templates|
|-|Added a hook for the Clientarea Panel|
|-|Danish Language added - Thanks to Mikkel for the Translations|
|-|Spanish Language partial added - Thanks to Mikkel for the Translations|
|-|A lot of bugfixes from v0.7.x
**0.6**     |  **Pre-Release** (``Getestet in WHMCS 7.10.x``) | **19.03.2021** | **[Download v0.6](https://rose.dsh-mirror.de/reseller/whmcs-module/0.6/DSH_Reseller_v0.6.zip)**
|-| Added an Addon to manage some more Settings for the Reseller itself. | 
|-| Added a search function to find services by their IP or their ID. | 
|-| Added a new Template Service. | 
|-| Added a Settings Handler. | 
|-| Added a Client Template. | 
|-| Added a DDoS Management panel for Admin and Clients. | 
|-| Added a Service overview for Clients. | 
|-| Added a new Reseller API (Documentation follows soon). | 
|-| Added a Quick Manage Option for Admins. | 
|-| Added a Logging System to log Client/Admin activities. | 
|-| Added a “Service Type” to the Products to handle different Reseller Types. | 
**0.5**     |  **Released** (``Getestet in WHMCS 7.10.x & 8.0``) | **06.03.2021** 
|-| Fixed: Assigned Ips are now controllable | 
|-| Removed: Not used Javascript functions | 
**0.4**     |  **Released** (``Getestet in WHMCS 7.10.x & 8.0``) | **01.03.2021** 
|-| onTerminate/onSuspend/onUnsuspend Events added | 
|-| Choose what should be happen if the event is triggered | 
|-| Fixed small bugs with the DDoS Filter Management | 
**0.3**     |  **Released** (``Getestet in WHMCS 7.10.x & 8.0``) | **26.02.2021** 
|-| Layer 4 Dynamisch/Permanent Filterung | 
|-| Layer 7 mit oder ohne Layer 4 Filterung | 
|-| rDNS Records können gesetzt werden | 