---
id: debian-docker-installieren
title: Docker installieren (Debian 10)
sidebar_label: Docker installieren
---
Installation von Docker und optional Docker-Compose auf Debian 10

## Informationen
In diesem Tutorial wird dir gezeigt, wie du Docker auf einem VPS oder Dedicated Server installierst. Du benötigst dafür Debian 10 und Root Rechte.
Melde dich zunächst als root mit dem SSH Client deiner Wahl an, z.B. PuTTY oder Terminus.



###  Installation
1. Sobald du angemeldet bist solltest du deinen Server aktualisieren. Führe dazu folgendes aus:

    ```sh
    apt update 
    apt upgrade -y
    ```
2. Anschließend installiere die notwendigen Pakete:

    ```sh
    apt install apt-transport-https ca-certificates curl gnupg-agent software-properties-common -y
    ```
3. Füge den offiziellen GPG Schlüssel von Docker hinzu:
    ```sh
   curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -
    ```
4. Stelle sicher dass der Fingerprint stimmt, führe dazu folgendes aus:
   ```sh
   apt-key fingerprint 0EBFCD88
   ```
5. Sollten die letzten 8 Stellen mit [9DC8 5822 9FC7 DD38 854A E2D8 8D81 803C 0EBF CD88] überein stimmen passt alles!
6. Nun, füge das Repository hinzu damit du Docker installieren kannst:
   ```sh
   add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/debian \
   $(lsb_release -cs) \
   stable"
   ```
7. Nun können wir Docker installieren, führe dazu folgende Befehle aus:
   ```sh
   apt update
   apt install docker-ce docker-ce-cli containerd.io
   ```
8. Um zu überprüfen ob alles passt, starte einen Test Container mit folgendem Befehl:
   ```sh
   docker run hello-world
   ```

## Optional: Docker-Compose installieren

Um Docker-Compose zu installieren musst du es erst mit folgendem Befehl herunterladen.
1. Um zu überprüfen ob alles passt, starte einen Test Container mit folgendem Befehl:
   ```sh
   curl -L "https://github.com/docker/compose/releases/download/1.27.4/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
   ```
2. Setze die benötigten Berechtigungen:
   ```sh
   chmod +x /usr/local/bin/docker-compose
   ```
3. Sollte der Befehl danach nicht gefunden werden, erstelle einen Softlink:
   ```sh
   ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
   ```
4. Um zu überprüfen dass alles funktioniert, überprüfe die Version von Docker-Compose mit folgendem Befehl:
   ```sh
   cdocker-compose --version
   ```

